package org.rcisoft.business.bspace.dao;

import org.rcisoft.core.base.CyBaseMapper;
import org.rcisoft.business.bspace.entity.BSpace;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with cy on 2018-12-17 13:50:52.
*/
@Repository
public interface BSpaceRepository extends CyBaseMapper<BSpace> {

    /**
    * 分页查询 bSpace
    *
    */
    @Select("<script>select * from b_space where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> queryBSpaces(BSpace bSpace);
}

