package org.rcisoft.business.bspace.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2018-12-17 13:50:51.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_space")
public class BSpace  extends CyIdEntity<BSpace> {



     /**
     * @desc 空间编号
     * @column space_id
     * @default 
     */
     private String spaceId;

     /**
     * @desc 空间名
     * @column space_name
     * @default 
     */
     private String spaceName;

     /**
     * @desc 域名
     * @column realm_name
     * @default 
     */
     private String realmName;


}

